Bug 492278 - Package perl-Data-Buffer is not Required by anything on Satellite 5.3.0, we might want to not ship it
Package perl-Data-Buffer is not Required by anything on Satellite 5.3.0, we m...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Steve Salevan
:
Depends On:
Blocks: 463876
  Show dependency treegraph
 
Reported: 2009-03-26 06:41 EDT by Tomas Lestach
Modified: 2009-09-10 14:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:54:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2009-03-26 06:41:28 EDT
Description of problem:

Package perl-Data-Buffer is not Required by anything on Satellite 5.3.0, we might want to not ship it.

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090323.0 on i386
perl-Data-Buffer-0.04-8.el5.noarch.rpm

How reproducible:

Deterministic.

Steps to Reproduce:
1. Install Satellite 5.3.0.
2. Run rpm -q perl-Data-Buffer, check that package perl-Data-Buffer is installed.
3. Run rpm -e perl-Data-Buffer.
4. Run rpm -q perl-Data-Buffer again, check that it's now been removed.
  
Actual results:

Package perl-Data-Buffer is installed but it is not required by anything in the Satellite, so it can safely be removed.

Expected results:

Either the package should be Required by some other package, or it should not be on the compose.
Comment 1 Clifford Perry 2009-03-26 13:34:14 EDT
[root@test10-64 5.8.5]# grep -irl "Data::Buffer" *
Crypt/DSA/Key/SSH2.pm
Crypt/RSA/Key/Private/SSH.pm
Crypt/OpenPGP/Buffer.pm
Data/Buffer.pm
[root@test10-64 5.8.5]# pwd
/usr/lib/perl5/site_perl/5.8.5
[root@test10-64 5.8.5]# grep -irl "use Data::Buffer" *
Crypt/DSA/Key/SSH2.pm
Crypt/RSA/Key/Private/SSH.pm
Data/Buffer.pm
[root@test10-64 5.8.5]# rpm -q rhns
rhns-5.2.0-16.el4
[root@test10-64 5.8.5]# 


Looks safe to remove (above is a 5.2 Sat), if we no longer use/ship the above perl GPG/security modules in Sat 530. Shannon - please confirm safe removal from compose, like the others and inform Release Eng and Nanny to remove from comps. 

thanks,
Cliff.
Comment 2 Shannon Hughes 2009-03-27 15:21:29 EDT
confirmed this rpms is not used in the perl code. qa can follow reproducing steps in comment #1 for test plan. 

the corresponding release engineering ticket number to remove from the iso is 38385
Comment 3 Shannon Hughes 2009-04-06 11:09:23 EDT
mass move to onqa
Comment 4 Steve Salevan 2009-04-08 12:29:10 EDT
# rpm -q perl-Data-Buffer
package perl-Data-Buffer is not installed

Moving to VERIFIED, tested on 530-re20090403.2.
Comment 5 Dave Parker 2009-08-07 01:20:12 EDT
-bash-3.2$ rpm -q perl-Data-Buffer
package perl-Data-Buffer is not installed
Comment 6 Brandon Perkins 2009-09-10 14:54:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.